• Resolved maegwin

    (@maegwin)


    I tried to log in when I got a notice that the wordpress-popup plugin needed to be updated and got this error:
    Fatal error: Cannot redeclare class Ctct\SplClassLoader in /data/15/2/62/38/2551201/user/2796141/htdocs/wp-content/plugins/wordpress-popup/vendor/Ctct/SplClassLoader.php on line 23

    Using FTP, I disabled the plugin and was able to log in.

Viewing 9 replies - 1 through 9 (of 9 total)
  • Plugin Support Pawel – WPMU DEV Support

    (@wpmudev-support9)

    Hello @maegwin,

    Hope you’re doing well!

    This looks like a conflict with another plugin. One more plugin on your site is using the same Ctct\SplClassLoader class.

    Would you please run a quick test for a conflict to find wich plugin is causing it?

    Deactivate all other plugins on your site, activate only Hustle – Pop-Ups. If everything is well, activate one plugin at a time to find the one will cause this Fatal Error again.

    Please let us know how it went!

    Kind regards,
    Nastia

    Plugin Support Predrag – WPMU DEV Support

    (@wpmudev-support1)

    Hi @maegwin,

    We had our developers look into this but we were unable to replicate the issue on any of our installations, we do have a possible fix but since we can’t replicate the issue we can’t fully tested.

    Would you be willing to test the beta version I’ve provided below and tell us if that resolves the issue for you?

    Click here to download.

    Cheers,
    Predrag

    Plugin Author Kye

    (@gmax21)

    Hey again, @maegwin.

    Just checking in to see how this is going and if the issue is still persisting.

    Let us know. 🙂

    Just tried installing this plugin and ran into this same issue. It worked fine on our dev site but not production. Difference between the two was/ is an old version of the theme on the live site versus the updated version on the dev site.

    Really sweet plugin but given all the current issues we may go another route until you fix the bugs.

    Thread Starter maegwin

    (@maegwin)

    @gmax21 So far so good on the beta plugin! I still have the old plugin folder (renamed). Can I cherry pick assets out of it to get my old settings back?

    Plugin Support Predrag – WPMU DEV Support

    (@wpmudev-support1)

    Hi @maegwin,

    Glad to hear it works for you now!

    Can I cherry pick assets out of it to get my old settings back?

    I’m not sure that understand this part, are you looking for settings from popup plugin?
    If you kept the both versions I’m afraid that this would not be possible.
    If you replaced the popup with Hustle you should have your old popups and settings already there.

    @tsetsaf Are you having issues with above beta version as well?

    Cheers,
    Predrag

    Thread Starter maegwin

    (@maegwin)

    I had a popup that I built in the old plugin. Can I export or move that popup to the new beta plugin?

    Plugin Support Predrag – WPMU DEV Support

    (@wpmudev-support1)

    Hi @maegwin,

    Apologies for the delay here.

    Your old popups should still be there after installing the installation of any future versions, regardless if you were switching from Popup to Hustle or just updating Hustle from older version.

    Are you saying that your popups are missing after installing beta version?

    Cheers,
    Predrag

    Thank you for using Hustle. I am going to mark this topic resolved because we haven’t heard from you in awhile. If this issue was not resolved we can reopen it. Thanks again!

Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘can’t access backend’ is closed to new replies.